Subject: Re: emacs error ad-Orig-documentation called with 5 arguments
From: Dan Holmsand <[email-masked]>
To: [email-masked]
Date: Fri, 17 Jan 2003 19:16:38 +0100

Robert Mecklenburg wrote:
> I'm getting the following error in the x-enabled version of cygwin
> emacs:  
> 
>   ** ad-Orig-documentation called with 5 arguments, but accepts only 1-2

I think the problem is with the original documentation function itself, 
not with advice.

M-x describe-function documentation yields

"documentation is a built-in function.
[Missing arglist.  Please make a bug report.]"

(as well as some garbage) in the x-enabled emacs 21.2-11, instead of

"documentation is a built-in function.
(documentation FUNCTION &optional RAW)"

as it should be (and is in emacs-nox and x-enabled emacs 21.2-9). I 
guess that advice is simply fooled by the erroneous arg-list that 
documentation reports.

/dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/